%define python3_pkgversion 3.11

# Created by pyp2rpm-3.3.10
%global pypi_name types-setuptools
%global pypi_version 69.5.0.20240423

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1.0.1%{?dist}
Summary:        Typing stubs for setuptools

License:        Apache-2.0 license
URL:            https://github.com/python/typeshed
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools

%description
 Typing stubs for setuptoolsThis is a [PEP 561]( type stub package for the
[setuptools]( package. It can be used by type-checking tools like [mypy](
[pyright]( [pytype]( PyCharm, etc. to check code that uses setuptools.This
version of types-setuptools aims to provide accurate annotations for
setuptools69.5.*. The source for this package can be found at All fixes for
types and metadata should...

%package -n     python%{python3_pkgversion}-%{pypi_name}

Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description -n python%{python3_pkgversion}-%{pypi_name}
 Typing stubs for setuptoolsThis is a [PEP 561]( type stub package for the
[setuptools]( package. It can be used by type-checking tools like [mypy](
[pyright]( [pytype]( PyCharm, etc. to check code that uses setuptools.This
version of types-setuptools aims to provide accurate annotations for
setuptools69.5.*. The source for this package can be found at All fixes for
types and metadata should...


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python%{python3_pkgversion}-%{pypi_name}
%{python3_sitelib}/distutils-stubs
%{python3_sitelib}/pkg_resources-stubs
%{python3_sitelib}/setuptools-stubs
%{python3_sitelib}/types_setuptools-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Wed Aug 14 2024 Craig Guiller <craig.guiller@oracle.com> - 69.5.0.20240423-1.0.1
- Add rpm-macros

* Thu Jul 25 2024 Teo Gonzalez <teo.g.gonzalez@oracle.com> - 69.5.0.20240423-1
- Initial package.
